Subject: .BASHRC-problem
From: [email-masked] (Juha Jäykkä)

17 Jan 1998 01:42:10 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: gnu-win32 <[email-masked]>

As this problem is not discussed in any of the www-help pages (that I could
find) and I couldn't find it in archives too, I'd like to ask it here.
  I keep losing my environment variables I set within my .bashrc. A
screenshot of the situation may clarify this. Here you go:
--clip--
juhaj@IO 18:20:22 /obj>echo $PATH
/bin
juhaj@IO 18:20:26 /obj>cat ~/.bashrc
#!/bin/sh.exe
PATH=$PATH:/home/juhaj/bin
export PATH
echo Test: $PATH
juhaj@IO 18:20:35 /obj>~/.bashrc
Test: /bin://d/cygnus/b18/tcl/bin:/home/juhaj/bin
juhaj@IO 18:20:42 /obj>echo $PATH
/bin
juhaj@IO 18:20:47 /obj>
--clip--
  Obviously it does not "keep" the exported variable but it also sets it all
wrong! Where did the "//d/cygnus/b18/tcl/bin:" part come from??? I am at a
total loss here. When I export variables, they should always be global, am I
right? Any ideas or fixes?
[system: NT40, intel, b18, coolview, bash-2.01]

-- 
		 -----------------------------------------------
		| Juha Jäykkä, [email-masked]			|
		| home: http://www.utu.fi/~juolja/		|
		| pgp-key: http://www.utu.fi/~juolja/pgp.txt	|
		 -----------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".